HomeLatest ThreadsGreatest ThreadsForums & GroupsMy SubscriptionsMy Posts
DU Home » Latest Threads » Forums & Groups » Main » The DU Lounge (Forum) » Make sure to get the new ...
Introducing Discussionist: A new forum by the creators of DU

Tue Oct 16, 2012, 02:08 PM

Make sure to get the new IE 9

2 replies, 387 views

Reply to this thread

Back to top Alert abuse

Always highlight: 10 newest replies | Replies posted after I mark a forum
Replies to this discussion thread
Arrow 2 replies Author Time Post
Reply Make sure to get the new IE 9 (Original post)
tk2kewl Oct 2012 OP
onehandle Oct 2012 #1
HopeHoops Oct 2012 #2

Response to tk2kewl (Original post)

Tue Oct 16, 2012, 02:09 PM

1. Works to download Safari too. nt

Reply to this post

Back to top Alert abuse Link here Permalink


Response to tk2kewl (Original post)

Tue Oct 16, 2012, 03:27 PM

2. I think I'll pass. Firefox works just fine, thank you very much.

 

Reply to this post

Back to top Alert abuse Link here Permalink

Reply to this thread